CVE-2017-5192

Priority
Description
When using the local_batch client from salt-api in SaltStack Salt before
2015.8.13, 2016.3.x before 2016.3.5, and 2016.11.x before 2016.11.2,
external authentication is not respected, enabling all authentication to be
bypassed.
The LocalClient.cmd_batch() method client does not accept external_auth
credentials and so access to it from salt-api has been removed for
now. This vulnerability allows code execution for already-authenticated
users and is only in effect when running salt-api as the root user.
Package
Source: salt (LP Ubuntu Debian)
Upstream:released (2016.11.2+ds-1)
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Trusty/esm:DNE (trusty was needed)
Ubuntu 16.04 LTS (Xenial Xerus):needed
Ubuntu 18.04 LTS (Bionic Beaver):not-affected (2017.7.4+dfsg1-1)
Ubuntu 18.10 (Cosmic Cuttlefish):not-affected (2017.7.4+dfsg1-1)
Ubuntu 19.04 (Disco Dingo):not-affected (2017.7.4+dfsg1-1)
Ubuntu 19.10 (Eoan):not-affected (2017.7.4+dfsg1-1)
More Information

Updated: 2019-04-26 14:22:53 UTC (commit 30899e40836d26e1bb5f0b072d31fd87b6cf3bd4)